Option Strict Off
Option Explicit On

Imports System.Runtime.InteropServices

Module Module_meIDSTools
    '*------------------------------------------------------------------------------+
    '-------------------------------------------------------------------------------|
    '                                                                               |
    '                             Constants                                         |
    '                                                                               |
    '-------------------------------------------------------------------------------|
    '------------------------------------------------------------------------------*/

    '==================================================================
    '  Error codes
    '================================================================*/

    Public Const MEIDS_TOOLS_ERRNO_SUCCESS As Integer = 0

    Public Const MEIDS_TOOLS_ERRNO_WAVEGEN_SIGNAL_OUT_OF_RANGE As Integer = 10001

    Public Const MEIDS_TOOLS_ERRNO_WAVEGEN_FREQUENCY_OUT_OF_RANGE As Integer = 10002

    '=================================================================
    '  Signal shapes
    '===============================================================*/

    Public Const MEIDS_TOOLS_WAVEGEN_SHAPE_RECTANGLE As Integer = &H10010001
    Public Const MEIDS_TOOLS_WAVEGEN_SHAPE_TRIANGLE As Integer = &H10010002
    Public Const MEIDS_TOOLS_WAVEGEN_SHAPE_SINUS As Integer = &H10010003
    Public Const MEIDS_TOOLS_WAVEGEN_SHAPE_COSINUS As Integer = &H10010004
    Public Const MEIDS_TOOLS_WAVEGEN_SHAPE_POS_RAMP As Integer = &H10010005
    Public Const MEIDS_TOOLS_WAVEGEN_SHAPE_NEG_RAMP As Integer = &H10010006


    '*------------------------------------------------------------------------------+
    '-------------------------------------------------------------------------------|
    '                                                                               |
    '                             Functions                                         |
    '                                                                               |
    '-------------------------------------------------------------------------------|
    '------------------------------------------------------------------------------*/

    Declare Function meIDSToolsWaveGen Lib "meIDSToolsVB.dll" Alias "_meIDSToolsWaveGen@36" (ByVal iDevice As Integer, ByVal iSubdevice As Integer, ByVal iUnit As Integer, ByVal iShape As Integer, ByVal dMAmplitude As Double, ByVal dOffset As Double, ByRef pdFrequency As Double) As Integer

End Module