#pragma once

#include "ME5xxxPP.h"

// CME5xxxPPDO dialog

class CME5xxxPPDO : public CME5xxxPP
{
	DECLARE_DYNAMIC(CME5xxxPPDO)

public:
	CME5xxxPPDO();
	virtual ~CME5xxxPPDO();

// Dialog Data
	enum { IDD = IDD_PP_DO };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedReset();
	afx_msg void OnSingleBnClickedCheckHardwareTrigger();
	afx_msg void OnSingleBnClickedButtonWrite();
	afx_msg void OnStreamingBnClickedButtonFileBrowse();
	afx_msg void OnStreamingBnClickedCheckWraparound();
	afx_msg void OnStreamingBnClickedStartCheckHardwareTrigger();
	afx_msg void OnStreamingBnClickedButtonStart();
	afx_msg void OnStreamingBnClickedButtonWrite();
	afx_msg void OnStreamingBnClickedStopCheckHardwareTrigger();
	afx_msg void OnStreamingBnClickedStopCheckStopAfter();
	afx_msg void OnStreamingBnClickedButtonStop();

private:
	
	static int __stdcall StreamingStartCallback(int iDevice, int iSubdevice, int iCount, void *pvContext, int iErrorCode);
	
	static int __stdcall StreamingNewValuesCallback(int iDevice, int iSubdevice, int iCount, void *pvContext, int iErrorCode);
	
	static int __stdcall StreamingEndCallback(int iDevice, int iSubdevice, int iCount, void *pvContext, int iErrorCode);

	int LoadDataBuffer(int iNumberOfValues);

	FILE* m_pDataFile;

	int* m_piDataBuffer;

	int m_iDataBufferSize;
};
