object frmMain: TfrmMain
  Left = 254
  Top = 112
  Caption = 'ME-iDS -  Single Write Frequency'
  ClientHeight = 437
  ClientWidth = 652
  Color = clBtnFace
  Constraints.MinHeight = 400
  Constraints.MinWidth = 660
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnClose = FormClose
  OnCreate = FormCreate
  OnShow = FormShow
  DesignSize = (
    652
    437)
  PixelsPerInch = 96
  TextHeight = 13
  object lbl1: TLabel
    Left = 8
    Top = 239
    Width = 144
    Height = 13
    Caption = 'Hardware info and data output'
  end
  object btnClearHwInfo: TButton
    Left = 8
    Top = 404
    Width = 105
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Clear Output'
    TabOrder = 0
    OnClick = btnClearHwInfoClick
  end
  object btnAbout: TButton
    Left = 128
    Top = 404
    Width = 105
    Height = 25
    Anchors = [akLeft, akBottom]
    Caption = 'Info'
    TabOrder = 1
    OnClick = btnAboutClick
  end
  object memoInfo: TMemo
    Left = 8
    Top = 258
    Width = 636
    Height = 135
    Anchors = [akLeft, akTop, akRight, akBottom]
    ScrollBars = ssBoth
    TabOrder = 2
    WordWrap = False
  end
  object btnClose: TButton
    Left = 539
    Top = 404
    Width = 105
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = 'Close'
    TabOrder = 3
    OnClick = btnCloseClick
  end
  object grpBox1: TGroupBox
    Left = 8
    Top = 8
    Width = 636
    Height = 225
    Anchors = [akLeft, akTop, akRight]
    Caption = ' FO Subdevices '
    TabOrder = 4
    DesignSize = (
      636
      225)
    object lbl3: TLabel
      Left = 40
      Top = 21
      Width = 65
      Height = 13
      Alignment = taRightJustify
      AutoSize = False
      Caption = 'Subdevice:'
    end
    object lbl5: TLabel
      Left = 60
      Top = 50
      Width = 45
      Height = 13
      Alignment = taRightJustify
      Caption = 'Channel: '
    end
    object lbl6: TLabel
      Left = 277
      Top = 50
      Width = 89
      Height = 13
      Alignment = taRightJustify
      AutoSize = False
      Caption = 'Port configuration:'
    end
    object coBoxSubDevs: TComboBox
      Left = 111
      Top = 20
      Width = 405
      Height = 21
      Style = csDropDownList
      Anchors = [akLeft, akTop, akRight]
      DropDownCount = 16
      TabOrder = 0
      OnChange = coBoxSubDevsChange
    end
    object btnReset: TButton
      Left = 523
      Top = 16
      Width = 105
      Height = 25
      Anchors = [akTop, akRight]
      Caption = 'Reset Subdevice'
      Enabled = False
      TabOrder = 1
      OnClick = btnResetClick
    end
    object coBoxChannels: TComboBox
      Left = 111
      Top = 47
      Width = 65
      Height = 21
      Style = csDropDownList
      TabOrder = 2
    end
    object grpBoxConfig: TGroupBox
      Left = 9
      Top = 74
      Width = 153
      Height = 65
      Hint = 
        'Start only the selected FO or several FO channels (subdevices) s' +
        'imultaneously'
      Caption = ' FO Configuration '
      ParentShowHint = False
      ShowHint = True
      TabOrder = 3
      object rBtnImmediateOutput: TRadioButton
        Left = 13
        Top = 16
        Width = 113
        Height = 17
        Caption = 'Immediate Output'
        Checked = True
        TabOrder = 0
        TabStop = True
      end
      object rBtnSynchronousOutput: TRadioButton
        Left = 13
        Top = 39
        Width = 113
        Height = 17
        Caption = 'Synchronous Output'
        TabOrder = 1
      end
    end
    object grpBoxWrite: TGroupBox
      Left = 168
      Top = 74
      Width = 460
      Height = 142
      Caption = ' Write '
      TabOrder = 4
      object lbl4: TLabel
        Left = 8
        Top = 82
        Width = 99
        Height = 13
        Caption = 'Total signal time sec:'
      end
      object lbl2: TLabel
        Left = 8
        Top = 109
        Width = 103
        Height = 13
        Caption = 'Signal first phase sec:'
      end
      object rgStartLevel: TRadioGroup
        Left = 8
        Top = 16
        Width = 106
        Height = 57
        Hint = 'Start emitting signal with High or Low phase'
        Caption = ' Signal start level '
        ItemIndex = 0
        Items.Strings = (
          'High'
          'Low')
        ParentShowHint = False
        ShowHint = True
        TabOrder = 0
      end
      object rgStartType: TRadioGroup
        Left = 121
        Top = 16
        Width = 170
        Height = 57
        Hint = 
          'Start emitting immediately (Hard) or at the end of the current s' +
          'ignal period (Soft)'
        Caption = ' Signal start type '
        ItemIndex = 0
        Items.Strings = (
          'Hard (immediately)'
          'Soft (on start of new period)')
        ParentShowHint = False
        ShowHint = True
        TabOrder = 1
      end
      object editTotalTime: TEdit
        Left = 121
        Top = 79
        Width = 105
        Height = 21
        TabOrder = 2
        Text = '1'
      end
      object editFirstPhase: TEdit
        Left = 121
        Top = 106
        Width = 105
        Height = 21
        TabOrder = 3
      end
      object rgWriteMode: TRadioGroup
        Left = 297
        Top = 16
        Width = 156
        Height = 57
        Hint = 
          'Start this F-Out only (Direct) or simultaneously with others (Sy' +
          'nchronous)'
        Caption = ' Write mode '
        ItemIndex = 0
        Items.Strings = (
          'Direct (start now)'
          'Synchronous (with others)')
        ParentShowHint = False
        ShowHint = True
        TabOrder = 4
      end
      object btnDeviceWrite: TButton
        Left = 350
        Top = 79
        Width = 105
        Height = 25
        Caption = 'Write Data'
        Enabled = False
        TabOrder = 5
        OnClick = btnDeviceWriteClick
      end
      object btnReadBack: TButton
        Left = 350
        Top = 110
        Width = 105
        Height = 25
        Caption = 'Read Data'
        Enabled = False
        TabOrder = 6
        OnClick = btnReadBackClick
      end
    end
    object btnSetConfig: TButton
      Left = 9
      Top = 145
      Width = 105
      Height = 25
      Caption = 'Set Config'
      Enabled = False
      TabOrder = 5
      OnClick = btnSetConfigClick
    end
    object coBoxPortConfiguration: TComboBox
      Left = 372
      Top = 47
      Width = 145
      Height = 21
      Style = csDropDownList
      Enabled = False
      TabOrder = 6
    end
  end
end
