// Con_meLockSubdevice.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"


#include <stdio.h>
#include <conio.h>

#include <memory.h>

extern "C"
{
#include "..\\medriver.h"
}

#include "..\\TestConsoleGeneric.h"

#ifdef WIN64

#pragma comment (lib, "..\\meIDSmain64.lib")

#else

#pragma comment (lib, "..\\meIDSmain.lib")

#endif

int _tmain(int argc, _TCHAR* argv[])
{
	// Call generic console function in parent directory to 
	// open system and list the available devices and subdevices.

	int i_number_of_devices = TestConsoleMEIDSProlog();

	if(i_number_of_devices <= 0)
	{
		return(-1);
	}

	// ---------------------------------------------------------------------
	
	printf(	"Press any key to try to lock Device 0, Subdevice 0\n\n");

	getch();
			
	int i_me_error = meLockSubdevice(0, 0, ME_LOCK_SET, 0);

	if(i_me_error != ME_ERRNO_SUCCESS)
	{
		printf("****    meLockSubdevice, ME_LOCK_SET - Error: %d    ****\n\n", i_me_error);
		
		printf("Press any key to terminate\n\n");
		
		meClose(0);
		
		_getch();

		return(-1);
	}

	printf(	"Lock set on Device 0, Subdevice 0\n\n"
			"Press any key to release lock\n\n");

	getch();
			
	i_me_error = meLockSubdevice(0, 0, ME_LOCK_RELEASE, 0);

	if(i_me_error != ME_ERRNO_SUCCESS)
	{
		printf("****    meLockSubdevice, ME_LOCK_RELEASE - Error: %d    ****\n\n", i_me_error);
		
		printf("Press any key to terminate\n\n");
		
		meClose(0);
		
		_getch();

		return(-1);
	}

	meClose(0);
	
	printf(	"Lock released on Device 0, Subdevice 0\n\n"
			"Press any key to terminate\n\n");

	getch();
			
	return 0;
}

