// Dlg_M-7_TestDlg.h : header file
//

#pragma once


// CDlg_M7_TestDlg dialog
class CDlg_M7_TestDlg : public CDialog
{
// Construction
public:
	CDlg_M7_TestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_DLG_M7_TEST_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation

public:

	int m_iME7DeviceIndex;

	int m_iME7AISubdeviceIndex;

	int m_iNumberOfCurrentChannels;

	int m_iCurrentRange[16];

	struct SRange
	{
		double m_dPhysicalMin;

		double m_dPhysicalMax;

		int m_iDigitalMax;
	};

	SRange m_arrRanges[13];

protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	afx_msg void OnBnClickedButtonChannel0Range1();
	afx_msg void OnBnClickedButtonChannel0Range2();
	afx_msg void OnBnClickedButtonChannel0Range3();
	afx_msg void OnBnClickedButtonChannel0Range4();
	afx_msg void OnBnClickedButtonChannel0Range5();
	afx_msg void OnBnClickedButtonChannel0Range6();
	afx_msg void OnBnClickedButtonChannel0Range7();
	afx_msg void OnBnClickedButtonChannel0Range8();
	afx_msg void OnBnClickedButtonChannel0Range9();
	afx_msg void OnBnClickedButtonChannel1Range1();
	afx_msg void OnBnClickedButtonChannel1Range2();
	afx_msg void OnBnClickedButtonChannel1Range3();
	afx_msg void OnBnClickedButtonChannel1Range4();
	afx_msg void OnBnClickedButtonChannel1Range5();
	afx_msg void OnBnClickedButtonChannel1Range6();
	afx_msg void OnBnClickedButtonChannel1Range7();
	afx_msg void OnBnClickedButtonChannel1Range8();
	afx_msg void OnBnClickedButtonChannel1Range9();
	afx_msg void OnBnClickedButtonChannel2Range1();
	afx_msg void OnBnClickedButtonChannel2Range2();
	afx_msg void OnBnClickedButtonChannel2Range3();
	afx_msg void OnBnClickedButtonChannel2Range4();
	afx_msg void OnBnClickedButtonChannel2Range5();
	afx_msg void OnBnClickedButtonChannel2Range6();
	afx_msg void OnBnClickedButtonChannel2Range7();
	afx_msg void OnBnClickedButtonChannel2Range8();
	afx_msg void OnBnClickedButtonChannel2Range9();
	afx_msg void OnBnClickedButtonChannel3Range1();
	afx_msg void OnBnClickedButtonChannel3Range2();
	afx_msg void OnBnClickedButtonChannel3Range3();
	afx_msg void OnBnClickedButtonChannel3Range4();
	afx_msg void OnBnClickedButtonChannel3Range5();
	afx_msg void OnBnClickedButtonChannel3Range6();
	afx_msg void OnBnClickedButtonChannel3Range7();
	afx_msg void OnBnClickedButtonChannel3Range8();
	afx_msg void OnBnClickedButtonChannel3Range9();

	afx_msg void OnBnClickedButtonZeroAdjustChannel0();
	afx_msg void OnBnClickedButtonZeroAdjustChannel1();
	afx_msg void OnBnClickedButtonZeroAdjustChannel2();
	afx_msg void OnBnClickedButtonZeroAdjustChannel3();

	void SetChannelRange(int iChannel, int iRange);

	void OnZeroAdjust(int iChannel);

	unsigned int GetButtonControlID(int iChannel, int iRange);
	afx_msg void OnBnClickedMeasure();

	static int _stdcall IrqCallback(int iDevice, int iSubdevice, int iChannel, 
										int iIrqCount, int iValue, void *pvContext, int iErrorCode);


protected:
	virtual void OnCancel();
public:
	afx_msg void OnBnClickedButtonChannel4Range0();
	afx_msg void OnBnClickedButtonChannel4Range10();
	afx_msg void OnBnClickedButtonChannel4Range11();
	afx_msg void OnBnClickedButtonChannel4Range12();
	afx_msg void OnBnClickedButtonChannel5Range0();
	afx_msg void OnBnClickedButtonChannel5Range10();
	afx_msg void OnBnClickedButtonChannel5Range11();
	afx_msg void OnBnClickedButtonChannel5Range12();
	afx_msg void OnBnClickedButtonChannel6Range0();
	afx_msg void OnBnClickedButtonChannel6Range10();
	afx_msg void OnBnClickedButtonChannel6Range11();
	afx_msg void OnBnClickedButtonChannel6Range12();
	afx_msg void OnBnClickedButtonChannel7Range0();
	afx_msg void OnBnClickedButtonChannel7Range10();
	afx_msg void OnBnClickedButtonChannel7Range11();
	afx_msg void OnBnClickedButtonChannel7Range12();
	afx_msg void OnBnClickedButtonChannel8Range0();
	afx_msg void OnBnClickedButtonChannel8Range10();
	afx_msg void OnBnClickedButtonChannel8Range11();
	afx_msg void OnBnClickedButtonChannel8Range12();
	afx_msg void OnBnClickedButtonChannel9Range0();
	afx_msg void OnBnClickedButtonChannel9Range10();
	afx_msg void OnBnClickedButtonChannel9Range11();
	afx_msg void OnBnClickedButtonChannel9Range12();
	afx_msg void OnBnClickedButtonChannel10Range0();
	afx_msg void OnBnClickedButtonChannel10Range10();
	afx_msg void OnBnClickedButtonChannel10Range11();
	afx_msg void OnBnClickedButtonChannel10Range12();
	afx_msg void OnBnClickedButtonChannel11Range0();
	afx_msg void OnBnClickedButtonChannel11Range10();
	afx_msg void OnBnClickedButtonChannel11Range11();
	afx_msg void OnBnClickedButtonChannel11Range12();
	afx_msg void OnBnClickedButtonChannel12Range0();
	afx_msg void OnBnClickedButtonChannel12Range10();
	afx_msg void OnBnClickedButtonChannel12Range11();
	afx_msg void OnBnClickedButtonChannel12Range12();
	afx_msg void OnBnClickedButtonChannel13Range0();
	afx_msg void OnBnClickedButtonChannel13Range10();
	afx_msg void OnBnClickedButtonChannel13Range11();
	afx_msg void OnBnClickedButtonChannel13Range12();
	afx_msg void OnBnClickedButtonChannel14Range0();
	afx_msg void OnBnClickedButtonChannel14Range10();
	afx_msg void OnBnClickedButtonChannel14Range11();
	afx_msg void OnBnClickedButtonChannel14Range12();
	afx_msg void OnBnClickedButtonChannel15Range0();
	afx_msg void OnBnClickedButtonChannel15Range10();
	afx_msg void OnBnClickedButtonChannel15Range11();
	afx_msg void OnBnClickedButtonChannel15Range12();
};
